FreeMat

- Main Page
- Related Pages

vtkOpenGLImageActor

Section: Visualization Toolkit Rendering Classes

# Usage

vtkOpenGLImageActor is a concrete implementation of the abstract class vtkImageActor. vtkOpenGLImageActor interfaces to the OpenGL rendering library.

To create an instance of class vtkOpenGLImageActor, simply invoke its constructor as follows

      obj = vtkOpenGLImageActor

# Methods

The class vtkOpenGLImageActor has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkOpenGLImageActor class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkOpenGLImageActor = obj.NewInstance ()`
- `vtkOpenGLImageActor = obj.SafeDownCast (vtkObject o)`
- `obj.Load (vtkRenderer ren)` - Implement base class method.
- `obj.Render (vtkRenderer ren)` - Implement base class method.
- `obj.ReleaseGraphicsResources (vtkWindow )` - Release any graphics resources that are being consumed by this texture. The parameter window could be used to determine which graphic resources to release. Using the same texture object in multiple render windows is NOT currently supported.